Katello - Bug #6508

Content view filter Package group search does not work
07/07/2014 09:30 AM - Justin Sherrill

Status: Closed

Priority: Normal

Assignee: Justin Sherrill

Category: Web Ul

Target version: Katello 2.0

Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1116087 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1116087
Steps to Reproduce:

1. Create a content view

2. Add a repo to the CV with multiple package groups

3. Create a package group filter

4. try to search

Actual results:
Nothing is returned

Expected results:
search for group is returned

Additional info:

Associated revisions

Revision bdc09c73 - 07/08/2014 05:24 PM - Justin Sherrill
fixes #6508 - fixing package group search

With the removal of the lowercase filter previously

in the kt_name_analyzer, filters would work properly

but search were still being downcased by default, thus
anything with an uppercase letter could not be searched for
also the controller logic had some incorrect code

Revision 324cfa9f - 07/08/2014 06:57 PM - Justin Sherrill
Merge pull request #4392 from jIsherrill/6508-lowercase

fixes #6508 - fixing package group search

History

#1 - 07/07/2014 12:42 PM - Eric Helms
- Assignee set to Brad Buckingham

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/07/2014 12:44 PM - Justin Sherrill
- Status changed from New to Assigned
- Assignee changed from Brad Buckingham to Justin Sherrill

- Difficulty changed from easy to medium

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1116087

#3 - 07/08/2014 07:03 PM - Justin Sherrill
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|bdc09c73b8c33ef37e222a1ffca7fc739626{849.

#4 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
